Bug 251221 - New port: databases/lmdbx: Lightning Memory-Mapped Database (Extended)
Summary: New port: databases/lmdbx: Lightning Memory-Mapped Database (Extended)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vanilla I. Shu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-17 22:59 UTC by mahlon
Modified: 2020-11-28 13:37 UTC (History)
1 user (show)

See Also:


Attachments
shar of portdir (4.44 KB, text/plain)
2020-11-17 22:59 UTC, mahlon
no flags Details
fixed name (3.48 KB, text/plain)
2020-11-18 01:09 UTC, mahlon
no flags Details
aaaand fixed distinfo (3.48 KB, text/plain)
2020-11-18 01:12 UTC, mahlon
no flags Details
fixed .so versioning (3.89 KB, text/plain)
2020-11-18 06:32 UTC, mahlon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mahlon 2020-11-17 22:59:33 UTC
Created attachment 219775 [details]
shar of portdir

Thanks!
Comment 1 mahlon 2020-11-18 01:09:45 UTC
Created attachment 219780 [details]
fixed name

With some additional thought, this should really be named "mdbx" instead of "lmdbx".  Not sure if I was thinking of the lmdb roots, but renamed for consistency.

New shar attached.
Comment 2 mahlon 2020-11-18 01:12:21 UTC
Created attachment 219781 [details]
aaaand fixed distinfo

Yeesh, and fixed the distinfo.  For reals this time.
Comment 3 mahlon 2020-11-18 06:32:14 UTC
Created attachment 219786 [details]
fixed .so versioning

And I now notice ldconfig wasn't firing due to a lack of .so versioning.

Fixed.  Apologies, this is my first shared library port.  Advice/improvements welcome, but this seems to at least do the trick now.
Comment 4 commit-hook freebsd_committer 2020-11-28 13:37:45 UTC
A commit references this bug:

Author: vanilla
Date: Sat Nov 28 13:37:24 UTC 2020
New revision: 556490
URL: https://svnweb.freebsd.org/changeset/ports/556490

Log:
  Add mdbx 0.9.1, lightning Memory-Mapped Database (Extended).

  PR:		251221
  Submitted by:	Mahlon E. Smith <mahlon@martini.nu>

Changes:
  head/databases/Makefile
  head/databases/mdbx/
  head/databases/mdbx/Makefile
  head/databases/mdbx/distinfo
  head/databases/mdbx/files/
  head/databases/mdbx/files/patch-GNUmakefile
  head/databases/mdbx/pkg-descr
  head/databases/mdbx/pkg-plist